package ru.ulstu.report.model.dto;

import ru.ulstu.indicator.model.Indicator;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ReportDto {
    private Integer id;
    private Integer reportPeriodId;
    private Date createDate = new Date();
    private List<ReportValueDto> reportValues = new ArrayList<>();

    public ReportDto(Integer id, Integer reportPeriodId, List<Indicator> indicators) {
        this.id = id;
        this.reportPeriodId = reportPeriodId;
        this.reportValues = indicators.stream().map(ReportValueDto::new).toList();
    }

    public List<ReportValueDto> getReportValues() {
        return reportValues;
    }

    public void setReportValues(List<ReportValueDto> reportValues) {
        this.reportValues = reportValues;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getReportPeriodId() {
        return reportPeriodId;
    }

    public void setReportPeriodId(Integer reportPeriodId) {
        this.reportPeriodId = reportPeriodId;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
