package ru.ulstu.aspirant.model;

public enum Speciality {
    S_2_3_7("2.3.7", "Системный анализ"),
    S_2_3_1("2.3.1", "Автоматизация проектирования");

    private final String code;
    private final String name;

    Speciality(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
